org.modeshape.jboss.subsystem

## Class AbstractAddBinaryStorage

- java.lang.Object
- - org.jboss.as.controller.AbstractAddStepHandler
  - - org.modeshape.jboss.subsystem.AbstractAddBinaryStorage

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler
  Direct Known Subclasses:
    AddCacheBinaryStorage, AddCompositeBinaryStorage, AddCustomBinaryStorage, AddDatabaseBinaryStorage, AddFileBinaryStorage

      public abstract class AbstractAddBinaryStorage
      extends org.jboss.as.controller.AbstractAddStepHandler

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAddBinaryStorage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addControllersAndDependencies(String repositoryName, BinaryStorageService service, org.jboss.msc.service.ServiceBuilder<BinaryStorage> builder, List<org.jboss.msc.service.ServiceController<?>> newControllers, org.jboss.msc.service.ServiceTarget target, String binariesStoreName)`
    `protected void` | `createBinaryStorageService(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode model, List<org.jboss.msc.service.ServiceController<?>> newControllers, org.jboss.msc.service.ServiceTarget target, String repositoryName, EditableDocument binaries, org.jboss.msc.service.ServiceName serviceName)`
    `protected void` | `performRuntime(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model, org.jboss.as.controller.ServiceVerificationHandler verificationHandler, List<org.jboss.msc.service.ServiceController<?>> newControllers)`
    `protected abstract void` | `writeBinaryStorageConfiguration(String repositoryName, org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument binaryStorage)`
    `protected void` | `writeCommonBinaryStorageConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode model, EditableDocument binaries)`

    - ### Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `createResource, execute, populateModel, populateModel, populateModel, requiresRuntime, requiresRuntimeVerification, rollbackRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAddBinaryStorage

          protected AbstractAddBinaryStorage()

  - ### Method Detail

    - #### performRuntime

          protected void performRuntime(org.jboss.as.controller.OperationContext context,
                            org.jboss.dmr.ModelNode operation,
                            org.jboss.dmr.ModelNode model,
                            org.jboss.as.controller.ServiceVerificationHandler verificationHandler,
                            List<org.jboss.msc.service.ServiceController<?>> newControllers)
                                 throws org.jboss.as.controller.OperationFailedException

      Overrides:
        `performRuntime` in class `org.jboss.as.controller.AbstractAddStepHandler`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### createBinaryStorageService

          protected void createBinaryStorageService(org.jboss.as.controller.OperationContext context,
                                        org.jboss.dmr.ModelNode model,
                                        List<org.jboss.msc.service.ServiceController<?>> newControllers,
                                        org.jboss.msc.service.ServiceTarget target,
                                        String repositoryName,
                                        EditableDocument binaries,
                                        org.jboss.msc.service.ServiceName serviceName)
                                             throws org.jboss.as.controller.OperationFailedException

      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### writeBinaryStorageConfiguration

          protected abstract void writeBinaryStorageConfiguration(String repositoryName,
                                             org.jboss.as.controller.OperationContext context,
                                             org.jboss.dmr.ModelNode storage,
                                             EditableDocument binaryStorage)
                                                           throws org.jboss.as.controller.OperationFailedException

      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### writeCommonBinaryStorageConfiguration

          protected void writeCommonBinaryStorageConfiguration(org.jboss.as.controller.OperationContext context,
                                                   org.jboss.dmr.ModelNode model,
                                                   EditableDocument binaries)
                                                        throws org.jboss.as.controller.OperationFailedException

      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### addControllersAndDependencies

          protected void addControllersAndDependencies(String repositoryName,
                                           BinaryStorageService service,
                                           org.jboss.msc.service.ServiceBuilder<BinaryStorage> builder,
                                           List<org.jboss.msc.service.ServiceController<?>> newControllers,
                                           org.jboss.msc.service.ServiceTarget target,
                                           String binariesStoreName)
                                                throws org.jboss.as.controller.OperationFailedException

      Throws:
        `org.jboss.as.controller.OperationFailedException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.